{% extends 'base.html.twig' %}

{% block title %}Dossier{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="mb-0">الملف العائلي</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">الصفحة الرئيسية</a></li>
                        <li class="breadcrumb-item active">الملف العائلي</li>
                    </ol>
                </div>

            </div>
        </div>
    </div>

    <div class="row">

    </div>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div id="accordion" class="custom-accordion ">
                        <div class="card mb-1 shadow-none">
                            <a href="#collapseTwo" class="text-dark collapsed" data-toggle="collapse"
                               aria-expanded="false"
                               aria-controls="collapseTwo">
                                <div class="card-header" id="headingTتعديل wo">
                                    <h6 class="m-0">
                                        الملف العائلي رقم : {{ dossier.id }}
                                        <i class="fas fa-level-down-alt float-right"></i>

                                    </h6>
                                </div>
                            </a>
                            <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo"
                                 data-parent="#accordion">
                                <div class="card-body">
                                    <div class="card-body">
                                        <div class="card-options float-right">
                                            <a href="{{ path('dossier_edit',{'id': dossier.id}) }}"
                                               class="btn btn-warning waves-effect waves-light">
                                                تعديل الملف
                                                <i class="fas fa-pencil-alt"></i>
                                            </a>
                                            <a href="{{ path('dossier_print',{'id': dossier.id}) }}"
                                               class="btn btn-primary waves-effect waves-light">
                                                طبع الملف
                                                <i class="fas fa-print"></i>
                                            </a>
                                            <a href="{{ path('dossier_add_pictures',{'id': dossier.id}) }}"
                                               class="btn btn-secondary waves-effect waves-light">
                                                إضافة الصور للملف <i class="uil uil-arrow-right ml-2"></i>
                                            </a>

                                            <a href="{{ path('dossier_show_pictures',{'id': dossier.id}) }}"
                                               class="btn btn-info  waves-effect waves-light">
                                                 الصور للملف <i class="uil uil-arrow-right ml-2"></i>
                                            </a>

                                         {% if dakhl < 500 %}
                                            <!-- Button trigger modal -->
                                            <button type="button" class="btn btn-success waves-effect waves-light" data-toggle="modal" data-target="#exampleModal">
                                                اضافة الكفيل
                                            </button>
                                         {% endif %}

                                           {# <h1>
                                                {{ dakhl }} dh
                                            </h1>#}
                                        </div>
                                        <h4 class="card-title mt-3">الملف العائلي</h4>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">التاريخ</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.date|date("m/d/Y") }}
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom04">رقم الملف</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.id }}
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom05">الهاتف 1</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.tel1 }}
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom05">الهاتف 2</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.tel2 }}
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom05">الهاتف 3</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.tel3 }}
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">المنطقة</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.region }}
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom04"> القيادة</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.commune }}
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom05">العنوان </label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.adresse }}
                                                    </p>
                                                </div>
                                            </div>
                                            {% if dossier.parrain|length>0 %}
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom05">الكفيل </label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.parrain.nom }}
                                                    </p>
                                                </div>
                                            </div>
                                            {% endif %}
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="validationCustom03">الاسم العائلي للأيتام / الاسم الشخصي
                                                        والعائلي
                                                        للأرملة</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.familleNom }}
                                                    </p>
                                                </div>
                                            </div>
                                        </div>





                                        {#<h2>
                                            الملف الاجتماعي
                                        </h2>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">الدعم الاجتماعي للدولة</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.aideSociale }}
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">الممتلكات الموروثة </label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">

                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">دعم مسار</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.soutien }}
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">المساعدة الخارجية </label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.aidez }}
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <h3>وضعية السكن</h3>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">نوع السكن </label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.typeHebergement }}
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">صفة الحيازة </label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">
                                                        {{ dossier.adjectif }}
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">عدد الغرف </label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">

                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">المساحة ب m</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">

                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">التجهيزات المنزلية </label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">

                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="form-group">
                                                    <label for="validationCustom03">تجهيزات السكن</label>
                                                    <p class="form-control-static border p-2 rounded mdc-bg-grey-100">

                                                    </p>
                                                </div>
                                            </div>


                                        </div>#}
                                        {#{% if dossier.picturesPereMoert | length > 0 %}

                                            <div class="row">
                                                <div class="col-xl-6">
                                                    <div class="card">
                                                        <div class="card-body">
                                                           <div id="carouselExampleSlidesOnly" class="carousel slide" data-ride="carousel" data-interval="3000">
                                                                <div class="carousel-inner" role="listbox">
                                                                    {% for picture in dossier.picturesPereMoert %}
                                                                    <div class="carousel-item {% if loop.index == 1 %}  active {% endif %}">
                                                                        <div data-bg-src="{{ asset('upload/Pictures/' ~ picture.nom) }}"
                                                                             class="d-block img-fluid h-15rem" alt=""></div>
                                                                    </div>
                                                                    {% endfor %}
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div> <!-- end col -->
                                            </div> <!-- end row -->

                                        {% else %}
                                            <div class="alert alert-primary" role="alert">
                                                <i class="fas fa-info-circle">&nbsp;</i>
                                                Aucune images
                                            </div>

                                        {% endif %}#}

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- end col -->
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-options float-right">
                        <button type="button" class="btn btn-info waves-effect waves-light" data-toggle="modal"
                                data-target=".bs-example-modal-lg">
                            إضافت الايتام
                            <i class="fas fa-plus"></i>
                        </button>
                    </div>
                    <h1 class="card-title mt-3"> الايتام</h1>
                    {% if dossier.orphelines|length >0 %}
                        <table id="" class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                               style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <th>الرقم</th>
                                <th>الاسم الشخصي</th>
                                <th>الاسم العائلي</th>
                                <th>الجنس</th>
                                <th>تاريخ الازدياد</th>
                                <th>المستوى الدراسي</th>
                                <th>المؤسسة</th>
                                <th>المهنة / نوعها</th>
                            </tr>
                            </thead>


                            <tbody>
                            {% for orpheline in dossier.orphelines %}
                                <tr>
                                    <td>{{ orpheline.id }}</td>
                                    <td>{{ orpheline.nom }}</td>
                                    <td> {{ orpheline.prenom }}</td>
                                    <td>{{ orpheline.sexe }}</td>
                                    <td>{{ orpheline.dateNaissance|date("m/d/Y") }}</td>
                                    <td>{{ orpheline.scolaire }}</td>
                                    <td>{{ orpheline.etablissement }}</td>
                                     <td>
                                       {# <a class="btn btn-secondary  w-md waves-effect waves-light" href="{{ path('orpheline_show',{'id': orpheline.id }) }}">الدخول للملف</a>#}
                                        <a class="btn btn-warning w-md waves-effect waves-light" href="{{ path('dossier_show', {'id':dossier.id,'orpheline_id':orpheline.id,'action':'line_update' }) }}">تعديل</a>

                                         <a class="btn btn-secondary w-md waves-effect waves-light" href="{{ path('dossier_show', {'id':dossier.id,'orpheline_id':orpheline.id,'action':'line_show' }) }}">الدخول</a>
                                       {# <a class="btn btn-danger w-md waves-effect waves-light" href="">حدف</a>#}
                                    </td>
                                </tr>
                            {% endfor %}

                            </tbody>
                        </table>

                    {% endif %}
                </div>
            </div>
        </div> <!-- end col -->
    </div>

    {% if dossier.orphelines|length <1 %}
        <script>
            $(function () {
                $('#orphee').modal('show');
            });
        </script>
    {% endif %}

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-options float-right">
                        <button type="button" class="btn btn-info waves-effect waves-light" data-toggle="modal"
                                data-target=".bs-example-modal-lg2">
                            إضافت قاطنين / أخ اليتيم
                            <i class="fas fa-plus"></i>
                        </button>
                    </div>
                    <h1 class="card-title mt-3"> القاطنين / أخ اليتيم</h1>
                    {% if dossier.habitants|length >0 %}
                        <table id="" class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                               style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>

                            <tr>
                                <th>الرقم</th>
                                <th>الاسم الكامل</th>
                                <th>العلاقة باليتامى</th>
                                <th>تاريخ الازدياد</th>
                                <th>المهنة / نوعها</th>
                                <th>المهنة / نوعها</th>


                            </tr>

                            </thead>
                            <tbody>
                            {% for habitant in dossier.habitants %}
                                <tr>
                                    <td>{{ dossier.id }}</td>
                                    <td>{{ habitant.nom }}</td>
                                    <td>{{ habitant.relationOrpheline }}</td>
                                    <td>{{ habitant.dateNaissance|date("m/d/Y") }}</td>
                                    <td>{{ habitant.metier }}</td>
                                      <td>
                                        {#<a class="btn btn-secondary  w-md waves-effect waves-light"
                                           href="{{ path('habitant_show',{'id': habitant.id }) }}">الدخول
                                            للملف</a>#}
                                        <a class="btn btn-warning w-md waves-effect waves-light"
                                           href="{{ path('dossier_show', {'id':dossier.id,'habitant_id':habitant.id,'action':'line_update_habitant' }) }}">تعديل</a>
                                       {# <a class="btn btn-danger w-md waves-effect waves-light"
                                           href="">حدف</a>#}
                                    </td>
                                </tr>
                            {% endfor %}

                            </tbody>
                        </table>

                    {% endif %}
                </div>
            </div>
        </div> <!-- end col -->
    </div>


    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-options float-right">
                        <button type="button" class="btn btn-info waves-effect waves-light" data-toggle="modal"
                                data-target="#aidezSocial">
                            إضافة مساعدة اجتماعية
                            <i class="fas fa-plus"></i>
                        </button>
                    </div>
                    <h1 class="card-title mt-3"> المساعدات التي استفادة منها العائلة</h1>
                   {# <ol class="activity-feed mb-0 pl-2" data-simplebar style="max-height: 336px;">
                        {% if dossier.parrainers|length >0 %}
                            {% for aidez in dossier.parrainers %}

                        <li class="feed-item">
                            <div class="feed-item-list">
                                <p class="text-muted mb-1 font-size-13">{{ aidez.date|date("d/m/Y") }}<small class="d-inline-block ml-1"> </small></p>
                                <a href="{{ path('social_aide_show', {'id': aidez.socialAide.id}) }}">
                                    <p class="mt-0 mb-0">  <span class="text-primary">{{ aidez.socialAide.nom }}</span></p>
                                </a>

                            </div>
                        </li>
                            {% endfor %}
                        {% endif %}

                    </ol>#}
                    <ul class="verti-timeline list-unstyled">
                        {% if dossier.parrainers|length >0 %}
                        {% for aidez in dossier.parrainers %}
                        <li class="event-list">
                            <div class="event-date text-primar">{{ aidez.date|date("d/m/Y") }}</div>
                            <h5>{{ aidez.socialAide.nom }}</h5>
                            <a href="{{ path('dossier_delete_aidSocial', {'id': aidez.id , 'uiid': dossier.id}) }}" class="btn btn-sm btn-danger" onclick="return confirm('هل تريد إزالة المساعدة?')">
                                <p class="mt-0 mb-0">  <span  >حذف</span></p>
                            </a>
                           {# <p class="text-muted">If several languages coalesce, the grammar of the resulting the individual</p>#}
                        </li>
                        {% endfor %}
                        {% endif %}
                    </ul>
                </div>
            </div>
        </div> <!-- end col -->
    </div>




    {{ include('modal/orpheline.html.twig') }}

    {{ include('modal/habitant.html.twig') }}

    {{ include('modal/alkafil.html.twig') }}

    {{ include('modal/aidezSocial.html.twig') }}

    {% if app.request.query.get('action')=='line_update' %}

        {{ include('modal/updateOrpheline.html.twig') }}
        <script>
            $(function () {
                $('#orphelinelUpdat').modal('show');
            });
        </script>
    {% endif %}

    {% if app.request.query.get('action')=='line_show' %}

        {{ include('modal/showOrpheline.html.twig') }}
        <script>
            $(function () {
                $('#orphelineShow').modal('show');
            });
        </script>
    {% endif %}




    {% if app.request.query.get('action')=='line_update_habitant' %}

        {{ include('modal/updateHabitant.html.twig') }}
        <script>
            $(function () {
                $('#habitantlUpdat').modal('show');
            });
        </script>
    {% endif %}




{% endblock %}
